Page MenuHome

Bevel modifier has bad input width for percent
Closed, ResolvedPublic

Description

System Information
Operating system: Windows 8.1
Graphics card: NVIDIA 740M

Blender Version
Broken: 2.8 beta
(example: 2.79b release)
(example: 2.80, edbf15d3c044, blender2.8, 2018-11-28, as found on the splash screen)
Worked: (optional)
old version worked
Short description of error
The bevel modifier can be selected with percent for weight
The old version 2.8 can be set up to 100
The new Blender 2.8 beta is set into another range
Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).
Add a Bevel modifier and try to set the weight with select of limit method weight and Width method to percent
The width slider is not set to up 100 and has a bad value.

Event Timeline

Sebastian Parborg (zeddb) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Dec 12 2018, 3:44 PM

I can not reproduce this with a build from today. Please try a recent build from https://builder.blender.org/download/

see this screenshot with the red area bug

Yes, as I said yesterday, for me it slides correctly from 0 to 100 with that setting. Unless you manually input numbers of course. But even if I input a value over 100, I can still slide it down and it again locks at 0-100 as expected.

Did you try any more recent beta versions than the one you posted? And if so what build date and hash did it have. (Available on the splash screen)

Maybe is fixed into your version.
My system-info show me this about the 2.80 beta (blender-2.80-e79bb957fc3-win64) :

============================================
= Blender 2.80 (sub 35) System Information =
============================================


Blender:
============================================

version: 2.80 (sub 35), branch: blender2.8, commit date: 2018-12-08 17:06, hash: e79bb957fc3, type: Release
build date: 08/12/2018, 17:54
platform: Windows
binary path: 'C:\\Users\\catafest\\Downloads\\blender-2.80-e79bb957fc3-win64\\blender-2.80.0-git.e79bb957fc3-windows64\\blender.exe'
build cflags: /W3 /w34062 /w34189 /wd4018 /wd4146 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /wd4828 /wd4996 /we4013 /we4133 /we4431 /w35038 /DWIN32 /D_WINDOWS /W3 /nologo /J /Gd /MP -openmp     
build cxxflags: /W3 /w34062 /w34189 /wd4018 /wd4146 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /wd4828 /wd4996 /we4013 /we4133 /we4431 /w35038 /DWIN32 /D_WINDOWS /W3 /GR /EHsc /nologo /J /Gd /MP /EHsc -openmp     
build linkflags: /MACHINE:X64  /SUBSYSTEM:CONSOLE /STACK:2097152 /INCREMENTAL:NO  /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib  /ignore:4049 /ignore:4217 /ignore:4221
build system: CMake

Python:
============================================

version: 3.7.0 (default, Aug 26 2018, 16:05:01) [MSC v.1900 64 bit (AMD64)]
paths:
...

same bug with blender-2.80.0-git.f13a4b2f123-windows64 version

Does it still happen if you do File -> Load Factory Settings ?

@Brecht Van Lommel (brecht) I can't reproduce this and I don't think this is platform/hardware specific bug... Does this happen for you?

I tested with File -> Load Factory Settings
Is the same bug as with only your difference :

  • if I set manual values over 100% then this values > 100% all add an "m" (from metric ?)
  • the shift values are stopping on 100% (this is good)

It may be that Scene > Units > Unit Scale is set to a value other than 1.0?

It's not ideal that this width property is used for both distance and percentage, we don't want the unit system for the latter. Now that the unit system is enabled by default this problem is more apparent.

The solution we use in other places is to add a second width_percentage property for this case. It does not make a lot of sense to share the value anyway.

Brecht Van Lommel (brecht) raised the priority of this task from Needs Information from User to Confirmed, Medium.Dec 14 2018, 11:48 AM

Assigning to the bevel maintainer, but it should be possible for any developer to fix.

I fixed this as Brecht suggested, using a separate property for the percentage width offset type.

I will note that the original bug reporter may not understand what the percent button is for, as the bug report says "The bevel modifier can be selected with percent for weight" and specifies that to get the bug one should select the "Weight" limit method. These two things are not connected: the "Percent" button is in the "Width Method" section, and affects how the bevel amount is measured, while the "Weight button" is in the "Limit Method" and affects whether or not to only bevel edges whose bevel edge weight is greater than zero. My apologies if the bug reporter understood this; I was just confused by the wording of the bug report.

@Howard Trickey (howardt) by the way, when I look at your patch, with RNA_def_property_ui_range (prop, 0.0f, 100.0f, 5.0, 2); I would expect, that dragging over the value-bar should change it with the step value. It's mentioned as a mystery in source/blender/makesrna/intern/rna_define.c:1444. Is this intended or something that could be fixed?